Page tree
Skip to end of metadata
Go to start of metadata

Product Version: 7.5
Last Modified: 27 Jun 2018

Problem

NAKIVO Backup & Replication cannot perform VMware VM backup if the Transporter is installed on Ubuntu 16.04+ and the SAN Transport mode is selected.

Background

NAKIVO Backup & Replication can read data directly from VMware VM disks located on SAN, bypassing the network, which can significantly increase job performance.
This is achieved with VMware's Direct SAN Access technology, which enables accessing source VM disks directly from the SAN.

In order for the Direct SAN Access to work, the source Transporter (the one reading data from the source VM) should have access to the SAN.

Possible Cause

No AppArmor Service

When running on Linux, NAKIVO Backup & Replication utilizes the AppArmor service to access SAN.
This package is no longer available in the Ubuntu 16.04 distributive.

To solve the problem with missing AppArmor service, please install the AppArmor service manually before deploying NAKIVO Backup & Replication (superuser privileges are required):

apt-get install apparmor

If NAKIVO Backup & Replication Transporter was already installed on Ubuntu 16.04+, install AppArmor service using the command above and re-run Transporter installation.
This will re-write configuration so SAN access will be enabled.

If this doesn't help, uninstall Transporter completely and install it back again.

Old Version of TLS in ESXi 5.5

Starting from NAKIVO Backup & Replication v7.5, TLS 1.0 which is used by ESXi 5.5, is not supported by default.
We recommend updating your vSphere environment to the latest version to avoid usage of the old TLS.

If this solution is not available, please create a configuration file on the machine where the source Transporter is installed:

  • Windows - C:\Windows\System32\config\systemprofile\AppData\Roaming\VMware\config.ini
  • Linux - /etc/vmware/config

The following line must be present in the configuration file:

tls.protocols=tls1.0,tls1.1,tls1.2
  • No labels